							;
							;
#include <P10F200.inc>		; This code is for the PIC10F200 microcontroller
							;
							; Configuration bits
	__config _MCLRE_ON &  _CP_OFF & _WDT_ON & _IntRC_OSC
							;
	radix dec				; Use decimal as the default radix
							;
							;
	cblock	0x10			; Declare user registers
	temp1					;
	temp2					;
	endc					;
							;
	org		0				; Code begins at adress 0
							;
	movwf	OSCCAL			; Calibrate internal oscillator
							;
	movlw	(1<<NOT_GPWU)	; Set options
	option					;
							;
	movlw	(1<<GP3)		; Set I/O direction, GP0,GP1,GP2 = output, GP3(MCLR) = input
	tris	GPIO			;
							;
loop						; --- Loop ---
	movlw	(1<<GP0)		; Turn on LED connected to GP0 pin, all others off
	movwf	GPIO			;
	call	delay			; Delay
							;
	movlw	(1<<GP1)		; Turn on LED connected to GP1 pin, all others off
	movwf	GPIO			;
	call	delay			; Delay
							;
	movlw	(1<<GP2)		; Turn on LED connected to GP2 pin, all others off
	movwf	GPIO			;
	call	delay			; Delay
							;
	goto	loop			; Loop...
							;
							;
delay						; --- Delay subroutine ---
	movlw	50				; 50 mS delay
	movwf	temp1			;
d1							;
	movlw	249				; 249 reps of inner loop = 1 mS
	movwf	temp2			;
d2							;
	clrwdt					; Reset watchdog
	decfsz	temp2,F			; Decrement inner loop
	goto	d2				; Repeat inner loop until zero
	decfsz	temp1,F			; Decrement outer loop
	goto	d1				; Repeat outer loop until zero
	retlw	0				; Return from subroutine
							;
							;
	end						; End of assembly code
							;
